controllers:
    resource: ../src/Controller/
    type: attribute

# accueil

route_accueil:
    path: /accueil
    controller: App\Controller\IndexController::accueil

# Instrument

instrumentConsulter:
    path: /instrument/consulter/{id}
    controller: App\Controller\InstrumentController::consulterInstruments

instruContratPretLister:
    path: /contratPret/lister/{id}
    controller: App\Controller\InstrumentController::listerContratPretByInstru

instrumentAjouter:
    path: /instrument/ajouter
    controller: App\Controller\InstrumentController::ajouterInstruments

instrumentModifier:
    path: /instrument/modifier/{id}
    controller: App\Controller\InstrumentController::modifierInstrument

# Responsable

responsableConsulter:
    path: /responsable/consulter/{id}
    controller: App\Controller\ResponsableController::consulterResponsable

responsableLister:
    path: /responsable/lister
    controller: App\Controller\ResponsableController::listerResponsable

responsableAjouter:
    path: /responsable/ajouter
    controller: App\Controller\ResponsableController::ajouterResponsable

responsableModifier:
    path: /responsable/modifier/{id}
    controller: App\Controller\ResponsableController::modifierResponsable

# Eleve

eleveConsulter:
    path: /eleve/consulter/{id}
    controller: App\Controller\EleveController::consulterEleve

eleveLister:
    path: /eleve/lister
    controller: App\Controller\EleveController::listerEleve

eleveAjouter:
    path: /eleve/ajouter
    controller: App\Controller\EleveController::ajouterEleve

eleveModifier:
    path: /eleve/modifier/{id}
    controller: App\Controller\EleveController::modifierEleve

# Classe Instrument

classeInstrumentConsulter:
    path: /classeInstrument/consulter/{id}
    controller: App\Controller\ClasseInstrumentController::consulterClasseInstrument

# Classe Pret

contratPretAjouter:
    path: /contratPret/ajouter
    controller: App\Controller\ContratPretController::ajouterContratPret

# Professeur

professeurConsulter:
    path: /professeur/consulter/{id}
    controller: App\Controller\ProfesseurController::consulterProfesseur

professeurLister:
    path: /professeur/lister
    controller: App\Controller\ProfesseurController::listerProfesseur

professeurAjouter:
    path: /professeur/ajouter
    controller: App\Controller\ProfesseurController::ajouterProfesseur

professeurModifier:
    path: /professeur/modifier/{id}
    controller: App\Controller\ProfesseurController::modifierProfesseur

# Cours 

coursConsulter:
    path: /cours/consulter/{id}
    controller: App\Controller\CoursController::consulterCours

coursAjouter:
    path: /cours/ajouter
    controller: App\Controller\CoursController::ajouterCours

coursModifier:
    path: /cours/modifier/{id}
    controller: App\Controller\CoursController::modifierCours

#compte

app_logout:
    path: /logout
    methods: GET

app_login:
    path: /login
    controller: App\Controller\LoginController::index

inscription:
    path: /inscription
    controller: App\Controller\RegistrationController::register
    